require 'active_support/concern'

module Logy
  module Concerns
    module LogyLoader
      extend ActiveSupport::Concern

      included do
        before_action :load_logs
        before_action :load_logs_list

        def load_logs
          file_name = params[:name] || Rails.env
          @logs = Logy::Viewer.call(file_name).read
        end

        def load_logs_list
          @log_files = Logy::LogFiles.all
        end
      end
    end
  end
end
