module Logy
  class Engine < ::Rails::Engine
    %w[rake].each { |f| require f }

    isolate_namespace Logy

    config.to_prepare do
      folders = %w[app/services/logy/* app/*/logy/concerns/*]
      folders.each do |folder|
        Dir.glob(Engine.root + folder).each do |c|
          require_dependency(c)
        end
      end
    end

    config.generators do |g|
      g.test_framework :rspec
      g.stylesheets false
      g.javascripts false
    end
  end
end
